@input_height: 40rem;

.input_field_container {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  @media (max-width: 800px) {
    padding-bottom: 0.7em;
  }
  @media (min-width: 800px) {
    padding-bottom: 3em;
  }

  background: #F5BCD0;
}

.input_field_centered {
  display: flex;
  flex-direction: row;
  max-width: 700px;
  margin-left: auto;
  margin-right: auto;
}

.input_field_underline {
  width: 100%;
  border-bottom: 2rem solid #0003;
  margin-left: 0.5em;
  margin-right: 0.5em;
  display: flex;
}

.input_field_underline_disabled {
  border-bottom: 2rem solid #00000018;
}

.input_field {
  flex: auto;
  resize: none;
  background: #0000;
  border: 0;
  padding-left: 0rem;

  overflow: hidden;
  max-height: 300rem;
}

.input_field::placeholder {
  color: #0004;
  white-space: nowrap;
}

.input_field:focus {
  outline: none;
}

.send_button {
  width: @input_height;
  height: @input_height;
  margin-top: auto;
  margin-bottom: auto;
  background: #0000;
  border: 0;
  padding: 0;
}

.send_button_disabled {
  opacity: 0.5;
}
